Bug 1690187 - Incorrectly named OCP build image baremetal-machine-controller-container
Summary: Incorrectly named OCP build image baremetal-machine-controller-container
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.1.0
Assignee: Steven Hardy
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 00:41 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:10 UTC

Description Clayton Coleman 2019-03-19 00:41:32 UTC
This controller is misnamed in OCP and should be `baremetal-machine-controllers` like `was-machine-controllers`, `openstack-machine-controllers`, etc.

The Origin CI name is also incorrect but I will fix that.

Comment 1 Clayton Coleman 2019-03-19 00:42:46 UTC
Actually, it is correct in origin (baremetal-machine-controllers.  The OCP name must match Origin.

Comment 2 Alberto 2019-04-04 07:54:42 UTC
https://github.com/openshift/ocp-build-data/blob/openshift-4.0/images/baremetal-machine-controller.yml#L12
verified with oc get istag -nocp | grep 4.0-art-latest:baremetal-machine-controllerß

Comment 4 sunzhaohua 2019-04-23 09:52:59 UTC
verified

clusterversion: 4.1.0-0.nightly-2019-04-22-005054

$ oc adm release info --pullspecs registry.svc.ci.openshift.org/ocp/release:4.1.0-0.nightly-2019-04-22-005054
...
Images:
  NAME                                          PULL SPEC
  aws-machine-controllers                       quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5fd2900f53d00849b860e57eed7a75e559fe574129befa500b8c876eb757d54a
  azure-machine-controllers                     quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f6e9ba553096a622a15f81840ead9fc0569f7f260ed3005983b78ac3d8a7fc50
  baremetal-machine-controllers                 quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:eca0196c6f968be34f71ebf7b1626d9f89a0f0654859f40e06586c4a375d7fe5

Comment 6 errata-xmlrpc 2019-06-04 10:46:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.